%define qtdir   %{_prefix}/lib/qt3
%define name		qca
%define version		1.0
%define release		6mdk

%define	major		1
%define	libname		%mklibname %name %major

%define summary		Straightforward and cross-platform crypto API for Qt

Summary:	%summary
Name:	 	%name
Version:	%version
Release:	%release
License:	LGPL
Group:		Development/KDE and Qt
URL:		http://http://delta.affinix.com/qca
########################################################################################
#it is now part of kde : You can find it here:  http://webcvs.kde.org//kdesupport/qca/ #
#######################################################################################
Source0:	%name-%version.tar.bz2
Source1:	%name-tls-%version.tar.bz2
Source2:	%name-sasl-%version.tar.bz2
Requires:	%libname = %version
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	qt3-devel >= 3.1
Patch1:		qca-1.0-lib64.patch.bz2

%description
Taking a hint from the similarly-named Java Cryptography Architecture, QCA aims
to provide a straightforward and cross-platform crypto API, using Qt datatypes
and conventions. QCA separates the API from the implementation, using plugins
known as Providers. The advantage of this model is to allow applications to
avoid linking to or explicitly depending on any particular cryptographic
library. This allows one to easily change or upgrade crypto implementations
without even needing to recompile the application! QCA should work everywhere
Qt does, including Windows/Unix/MacOSX.

%package	-n %libname
Summary:	Libraries for QCA
Group:		Development/KDE and Qt
Requires:	%name

%description	-n %libname
Libraries for QCA

%package	-n %libname-devel
Summary:	Development files from QCA
Group:		Development/KDE and Qt
Provides:	lib%name-devel
Requires:	%libname = %version

%description	-n %libname-devel
Development files from QCA

%package	-n %libname-tls
Summary:	TLS plugin for QCA
Group:		Development/KDE and Qt
Requires:	%libname = %version
Provides:	psi-qca-tls
Obsoletes:	psi-qca-tls

%description	-n %libname-tls
This is a plugin to provide SSL/TLS capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%package	-n %libname-sasl
Summary:	SASL plugin for QCA
Group:		Development/KDE and Qt
Requires:	%libname = %version
BuildRequires:	libsasl-devel

%description	-n %libname-sasl
This is a plugin to provide SASL capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%prep
%setup -q
%setup -q -T -D -a 1
%setup -q -T -D -a 2
%patch1 -p1 -b .lib64

%build
export QTDIR=%qtdir

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH


# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt|target.path)_(libdirs|libraries)=/" configure qcextra
# main qca
./configure --prefix=%{_prefix} --qtdir=$QTDIR --libdir=%_libdir
#qmake
%make
# tls plugin
cd %{name}-tls-%{version}
./configure --qtdir=$QTDIR; %make
cd ..
# sasl plugin
cd %{name}-sasl-%{version}
./configure --qtdir=$QTDIR; %make
cd ..

%install
rm -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot}
# tls plugin
cd %{name}-tls-%{version}
%makeinstall INSTALL_ROOT=%{buildroot}
cd ..
# sasl plugin
cd %{name}-sasl-%{version}
%makeinstall INSTALL_ROOT=%{buildroot}
cd ..

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files
%defattr(0644,root,root,0755)
%doc README COPYING INSTALL TODO
%dir %qtdir/plugins/crypto

%files	-n %libname
%defattr(0644,root,root,0755)
%_libdir/libqca.so.*

%files	-n %libname-devel
%defattr(0644,root,root,0755)
%{_includedir}/%{name}.h
%_libdir/libqca.so

%files	-n %libname-tls
%defattr(0644,root,root,0755)
%doc %{name}-tls-%{version}/{README,COPYING}
%qtdir/plugins/crypto/libqca-tls.so

%files	-n %libname-sasl
%defattr(0644,root,root,0755)
%doc %{name}-sasl-%{version}/{README,COPYING}
%qtdir/plugins/crypto/libqca-sasl.so

%changelog
* Thu Aug 25 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0-6mdk
- Build on x86_64

* Wed Aug 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-5mdk
- Change Licence

* Mon Feb 7 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.0-4mdk
- obsolete psi-qca-tls (Buchan)
- remove useless explicit provides
- fix previous changelog entry

* Mon Jan 17 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.0-3mdk
- rebuild

* Fri Jan 14 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.0-2mdk
- remove devel library from main package to devel package
- fix post and postun macros
- libification

* Sun Jan 09 2005 Tibor Pittich <Tibor.Pittich@mandrake.org> 1.0-1mdk
- initial import
